Creates a new repository in Artifactory with the provided configuration. Supported by local, remote, virtual, and Federated repositories.
Since: 2.3.0
Supported JFrog Subscriptions: Local, remote, and virtual repositories require a Pro subscription. Federated repositories are supported from Artifactory 7.18.3 and require an Enterprise X or Enterprise+ subscription.
If a repository with the specified repoKey already exists, the call fails with a 400 response. Missing values are set to default values as defined by the consumed type spec.
For a Smart Remote Repository, set the enabled flag to true under contentSynchronisation. To enable CDN Distribution, set the cdnRedirect flag; this applies to Artifactory Cloud and requires an Enterprise or Enterprise+ license.
To create a project-scoped remote repository, set projectScopedReadUpstream to true and set upstreamRepoKey to a repository shared with the repository's project (see Get Connectable Repositories). url is not required in this case. If upstreamRepoKey is not one of the repositories returned by Get Connectable Repositories, the call fails with a 400 response.
Security: Requires an admin user.
Additional examples of repository configuration can be found at:
https://docs.jfrog.com/integrations/docs/configuration-json-files#repository-configuration-json
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Consumes application/json (application/vnd.org.jfrog.artifactory.repositories.LocalRepositoryConfiguration+json), application/json (application/vnd.org.jfrog.artifactory.repositories.RemoteRepositoryConfiguration+json), application/json (application/vnd.org.jfrog.artifactory.repositories.VirtualRepositoryConfiguration+json), application/vnd.org.jfrog.artifactory.repositories.FederatedRepositoryConfiguration+json , the configuration file that defines the structured JSON payloads used as the request body for various JFrog REST APIs.
